<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap<?php
				if (!sounder_is_inherit(sounder_get_theme_option('copyright_scheme')))
					echo ' scheme_' . esc_attr(sounder_get_theme_option('copyright_scheme'));
 				?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				$sounder_copyright = sounder_get_theme_option('copyright');
				if (!empty($sounder_copyright)) {
					// Replace {{Y}} or {Y} with the current year
					$sounder_copyright = str_replace(array('{{Y}}', '{Y}'), date('Y'), $sounder_copyright);
					// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
					$sounder_copyright = sounder_prepare_macros($sounder_copyright);
					// Display copyright
					echo nl2br($sounder_copyright);
				}
			?></div>
		</div>
	</div>
</div>
