<?php
/**
 * The style "modern" of the timetable
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.2
 */

$args = get_query_var('trx_addons_args_sc_timetable');

$post_link = empty($args['no_links']) ? get_permalink() : '';
$post_title = get_the_title();
$time_format = get_option('time_format');


if ((int)$args['count'] > 2 && (int)$args['count'] === (int)$args['num']) {
    ?><div class="last"><?php

    ?><div <?php post_class( 'sc_timetable_item' ); ?>><?php

    if ( has_post_thumbnail() ) {
        $trx_addons_src = trx_addons_get_attachment_url( get_post_thumbnail_id( get_the_ID() ), trx_addons_get_thumb_size('full') );
        ?>
        <div class="post_featured sc_timetable_item_featured" style="background-image: url(<?php echo esc_url($trx_addons_src); ?>)"></div><!-- .post_featured -->
        <?php
    }

    // Post title
    ?><div class="sc_timetable_item_header entry-header">
    <div class="date"><span class="wrap">
        <?php echo get_the_title($args['event'][0]->column_id); ?>
        <time datetime="<?php echo $args['event'][0]->event_start; ?>" class="timeslot-start"><?php echo date($time_format, strtotime($args['event'][0]->event_start)); ?></time>
        <?php echo apply_filters('mptt_timeslot_delimiter', '-'); ?>
        <time datetime="<?php echo $args['event'][0]->event_end; ?>" class="timeslot-end"><?php echo date($time_format, strtotime($args['event'][0]->event_end)); ?></time>
        <?php
        ?></span></div>
    <?php
    the_title( '<h5 class="sc_timetable_item_title entry-title">'
        . (!empty($post_link)
        ? sprintf( '<a href="%s" rel="bookmark">', esc_url( $post_link ) )
            : ''),
            (!empty($post_link) ? '</a>' : '') . '</h5>' ); ?>
    </div><!-- .entry-header --><?php
    ?></div><!-- .sc_timetable_item --><?php
    ?></div><?php
}

else { ?>

    <div <?php post_class( 'sc_timetable_item' ); ?>><?php

        if ( has_post_thumbnail() ) {
            ?>
            <div class="post_featured sc_timetable_item_featured">
                <?php
                the_post_thumbnail(
                    trx_addons_get_thumb_size('big')
                );
                ?>
            </div><!-- .post_featured -->
            <?php
        }

            // Post title
            ?><div class="sc_timetable_item_header entry-header">
                <div class="date"><span class="wrap">
                    <?php echo get_the_title($args['event'][0]->column_id); ?>
                    <time datetime="<?php echo $args['event'][0]->event_start; ?>" class="timeslot-start"><?php echo date($time_format, strtotime($args['event'][0]->event_start)); ?></time>
                    <?php echo apply_filters('mptt_timeslot_delimiter', '-'); ?>
                    <time datetime="<?php echo $args['event'][0]->event_end; ?>" class="timeslot-end"><?php echo date($time_format, strtotime($args['event'][0]->event_end)); ?></time>
                    <?php
                    ?></span></div>
                    <?php
                    // Post title
                    the_title( '<h5 class="sc_timetable_item_title entry-title">'
                        . (!empty($post_link)
                            ? sprintf( '<a href="%s" rel="bookmark">', esc_url( $post_link ) )
                            : ''),
                        (!empty($post_link) ? '</a>' : '') . '</h5>' ); ?>
        </div><!-- .entry-header --><?php
        ?></div><!-- .sc_timetable_item --><?php
 }
?>