<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0.10
 */

if(sounder_get_theme_option('show_footer_bg') == 'yes') {
    $sounder_footer_image = sounder_get_theme_option('footer_bg');
} else {
    $sounder_footer_image = '';
}
?>
<footer class="footer_wrap footer_default<?php
if ($sounder_footer_image!='') echo ' '.esc_attr(sounder_add_inline_css_class('background-image: url('.esc_url($sounder_footer_image).');'));
if (!sounder_is_inherit(sounder_get_theme_option('footer_scheme')))
					echo ' scheme_' . esc_attr(sounder_get_theme_option('footer_scheme'));
				?>">
	<?php

	// Footer widgets area
	get_template_part( 'templates/footer-widgets' );

	// Copyright area
	get_template_part( 'templates/footer-copyright' );
	
	?>
</footer><!-- /.footer_wrap -->
